#
# spec file for package fixesproto
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fixesproto
Version:        6.0
Release:        150400.1.4
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: X Fixes extension
License:        HPND
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/fixesproto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/fixesproto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%name-5.0.tar.bz2
Patch0:         fixesproto-6.0.patch
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(xextproto) >= 7.0.99.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Fixes protocol headers for X11 development.
The extension makes changes to many areas of the protocol to resolve
issues raised by application interaction with core protocol
mechanisms that cannot be adequately worked around on the client side
of the wire.

%package devel
Summary:        The X11 Protocol: X Fixes extension
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/fixesproto.pc

%description devel
The Fixes protocol headers for X11 development.
The extension makes changes to many areas of the protocol to resolve
issues raised by application interaction with core protocol
mechanisms that cannot be adequately worked around on the client side
of the wire.

%prep
%setup -q -n %name-5.0
%patch0 -p1

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc COPYING
%doc %_datadir/doc/*
%_includedir/X11/extensions/
%_libdir/pkgconfig/*.pc

%changelog
* Wed Dec  1 2021 sndirsch@suse.com
- update to fixesproto-6.0 is needed for libXfixes 6.0
  (JIRA #SLE-22829)
- fixesproto-6.0.patch implements the update to version 6.0.0
* Thu Oct 28 2021 sndirsch@suse.com
- updated to fixesproto-6.0 files copied from current
  xorgproto-2021.5 package
* Mon Sep 22 2014 sndirsch@suse.com
- require pkgconfig(xextproto) >= 7.0.99.1 in order to fix build
  of xcursorgen/xcursor-themes
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Tue Apr 29 2014 sndirsch@suse.com
- added COPYING file to %%doc
* Mon Apr 28 2014 cfarrell@suse.com
- license update: HPND
  See COPYING
* Wed Apr 23 2014 tobias.johannes.klausmann@mni.thm.de
- Created package fixesproto with initial version 5.0
